Page MenuHomePhabricator

Some options of welcome.py aren't supported in core
Closed, ResolvedPublic

Description

  • -sul: Even if -sul option is not in use autocreated accounts are welcomed. I don't see such a big problem but people started complaining.
  • -offset is not supported
  • -timeoffset is not supported

Event Timeline

Vituzzu created this task.Aug 22 2016, 11:43 AM
Restricted Application added subscribers: pywikibot-bugs-list, Aklapper. · View Herald TranscriptAug 22 2016, 11:43 AM
Vituzzu triaged this task as Normal priority.Sep 3 2016, 11:23 AM
Xqt changed the task status from Open to Stalled.Sep 21 2016, 11:45 AM
Xqt lowered the priority of this task from Normal to Low.
Xqt added a project: Pywikibot.
Xqt added a subscriber: Xqt.
This comment was removed by Xqt.

See the title: I don't use -sul option but still the bot welcomes autocreated accounts.

Xqt changed the task status from Stalled to Open.Sep 21 2016, 11:47 AM
Xqt raised the priority of this task from Low to Normal.

Sorry, was misreading the title.

No pb, I'll try improving description.

Vituzzu updated the task description. (Show Details)Sep 21 2016, 11:51 AM
Xqt renamed this task from Welcome.py welcomes autocreated accounts even if -sul option is not in use to Some options of welcome.py aren't supported in core.Sep 21 2016, 12:18 PM
Xqt updated the task description. (Show Details)
Xqt updated the task description. (Show Details)
Xqt claimed this task.Sep 21 2016, 4:31 PM

Change 312031 had a related patch set uploaded (by Xqt):
[IMPR] Implement missing options behaviours

https://gerrit.wikimedia.org/r/312031

Change 312031 merged by jenkins-bot:
[IMPR] Implement missing options behaviours

https://gerrit.wikimedia.org/r/312031

Xqt closed this task as Resolved.Oct 10 2016, 4:13 PM